package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 质量返修率报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class RepairRateReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    @Excel(name = "日期")
    @JsonProperty("INSPECTOR_TIME")
    private String INSPECTOR_TIME;

    /**
     * 异常数
     */
    @Excel(name = "异常数")
    @JsonProperty("QUALITY_SUM")
    private Long QUALITY_SUM;

    /**
     * 下线数
     */
    @Excel(name = "下线数")
    @JsonProperty("OFF_LINE_NUM")
    private Long OFF_LINE_NUM;

    /**
     * 返修率
     */
    @Excel(name = "返修率")
    @JsonProperty("REPAIR_RATE")
    private String REPAIR_RATE;

    /**
     * 目标返修率
     */
//    @Excel(name = "目标返修率")
    @JsonProperty("TARGET")
    private String TARGET;
    //周数
    private String WEEKNUMS;

    public String getWEEKNUMS() {
        return WEEKNUMS;
    }
    public String COLUMN_A;

    public String getCOLUMN_A() {
        return COLUMN_A;
    }

    public void setCOLUMN_A(String COLUMN_A) {
        this.COLUMN_A = COLUMN_A;
    }

    public void setWEEKNUMS(String WEEKNUMS) {
        this.WEEKNUMS = WEEKNUMS;
    }

    public String getINSPECTOR_TIME() {
        return INSPECTOR_TIME;
    }

    public void setINSPECTOR_TIME(String INSPECTOR_TIME) {
        this.INSPECTOR_TIME = INSPECTOR_TIME;
    }

    public Long getQUALITY_SUM() {
        return QUALITY_SUM;
    }

    public void setQUALITY_SUM(Long QUALITY_SUM) {
        this.QUALITY_SUM = QUALITY_SUM;
    }

    public Long getOFF_LINE_NUM() {
        return OFF_LINE_NUM;
    }

    public void setOFF_LINE_NUM(Long OFF_LINE_NUM) {
        this.OFF_LINE_NUM = OFF_LINE_NUM;
    }

    public String getREPAIR_RATE() {
        return REPAIR_RATE;
    }

    public void setREPAIR_RATE(String REPAIR_RATE) {
        this.REPAIR_RATE = REPAIR_RATE;
    }

    public String getTARGET() {
        return TARGET;
    }

    public void setTARGET(String TARGET) {
        this.TARGET = TARGET;
    }
}
